Package org.globus.gram

# Class GramException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.common.ChainedException
org.globus.gram.GramException

All Implemented Interfaces:
  `Serializable`, `GRAMProtocolErrorConstants`

Direct Known Subclasses:
  `WaitingForCommitException`

public class GramException extends ChainedException implements GRAMProtocolErrorConstants
This class defeines the Exceptions which are thrown by the various Gram and GramJob methods. This class contains many definitions for error codes of the form ERROR_* in addition to SUCCESS. The error codes are a superset of those defined for the GRAM C client. Additional error codes are added for errors that can occur in the Java code.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CUSTOM_ERROR`
`static final int`
`ERROR_JOB_CONTACT_NOT_SET`
`protected int`
`errorCode`
`static final int`
`INIT_CALLBACK_HANDLER_FAILED`
`static final int`
`SUCCESS`

### Fields inherited from interface org.globus.gram.internal.GRAMProtocolErrorConstants

`ARG_FILE_CREATION_FAILED, BAD_ARGUMENTS, BAD_DIRECTORY, BAD_GATEKEEPER_CONTACT, BAD_RSL, BAD_RSL_ENVIRONMENT, BAD_SCRIPT_ARG_FILE, CALLBACK_NOT_FOUND, CLIENT_CONTACT_NOT_FOUND, COMMIT_TIMED_OUT, CONNECTION_FAILED, DELEGATION_FAILED, DRYRUN, DUCT_INIT_FAILED, DUCT_LSP_FAILED, ERROR_AUTHORIZATION, ERROR_CONNECTION_FAILED, ERROR_CONTACTING_JOB_MANAGER, ERROR_CREATING_PIPE, ERROR_FCNTL_FAILED, ERROR_FORKING_EXECUTABLE, ERROR_INSERTING_CLIENT_CONTACT, ERROR_OPENING_CACHE, ERROR_OPENING_CACHE_USER_PROXY, ERROR_OPENING_JOBMANAGER_SCRIPT, ERROR_OPENING_STDERR, ERROR_OPENING_STDOUT, ERROR_PROTOCOL_FAILED, ERROR_RSL_PARADYN, ERROR_RSL_PROJECT, ERROR_RSL_QUEUE, ERROR_RSL_STDERR, ERROR_RSL_STDIN, ERROR_RSL_STDOUT, ERROR_SERVICE_NOT_FOUND, ERROR_SIGNALING_JOB, ERROR_STAGING_EXECUTABLE, ERROR_STAGING_STDIN, ERROR_STDERR_FILENAME_FAILED, ERROR_STDOUT_FILENAME_FAILED, EXECUTABLE_NOT_FOUND, EXECUTABLE_PERMISSIONS, EXECUTABLE_UNDEFINED, GATEKEEPER_MISCONFIGURED, HTTP_UNFRAME_FAILED, HTTP_UNPACK_FAILED, INALID_REQUEST, INSUFFICIENT_FUNDS, INVALID_COUNT, INVALID_HOST_COUNT, INVALID_JOB_CONTACT, INVALID_JOB_MANAGER_TYPE, INVALID_JOB_QUERY, INVALID_JOBSTATUS, INVALID_JOBTYPE, INVALID_MAX_CPU_TIME, INVALID_MAX_MEMORY, INVALID_MAX_WALL_TIME, INVALID_MAXTIME, INVALID_MIN_MEMORY, INVALID_MYJOB, INVALID_PARADYN, INVALID_PROJECT, INVALID_QUEUE, INVALID_SCRIPT_REPLY, INVALID_SCRIPT_STATUS, JM_FAILED_ALLOW_ATTACH, JOB_CANCEL_FAILED, JOB_CONTACT_NOT_FOUND, JOB_EXECUTION_FAILED, JOB_QUERY_DENIAL, MALLOC_FAILED, MPI_NOT_SUPPORTED, NO_RESOURCES, NULL_SPECIFICATION_TREE, PARAMETER_NOT_SUPPORTED, PROTOCOL_FAILED, PROXY_FILE_OPEN_FAILED, RSL_ARGUMENTS, RSL_COUNT, RSL_DIRECTORY, RSL_DRYRUN, RSL_ENVIRONMENT, RSL_EVALUATION_FAILED, RSL_EXECUTABLE, RSL_HOST_COUNT, RSL_JOBTYPE, RSL_MAXTIME, RSL_MYJOB, STDIN_NOT_FOUND, SYSTEM_CANCELLED, TEMP_SCRIPT_FILE_FAILED, UNIMPLEMENTED, UNKNOWN_SIGNAL_TYPE, UNSUPPORTED_PARAMETER, USER_CANCELLED, USER_PROXY_NOT_FOUND, VERSION_MISMATCH, WAITING_FOR_COMMIT, ZERO_LENGTH_RSL`

## Constructor Summary

Constructors
Constructor
Description
`GramException()`
`GramException(int ec)`
`GramException(int ec, Throwable ex)`
`GramException(String msg)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
`static String`
`getMessage(int errorCode)`
`void`
`setErrorCode(int ec)`

### Methods inherited from class org.globus.common.ChainedException

`getException, getMessage, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SUCCESS

public static final int SUCCESS

See Also:
  - Constant Field Values

### INIT_CALLBACK_HANDLER_FAILED

public static final int INIT_CALLBACK_HANDLER_FAILED

See Also:
  - Constant Field Values

### ERROR_JOB_CONTACT_NOT_SET

public static final int ERROR_JOB_CONTACT_NOT_SET

See Also:
  - Constant Field Values

### CUSTOM_ERROR

public static final int CUSTOM_ERROR

See Also:
  - Constant Field Values

### errorCode

protected int errorCode

## Constructor Details

### GramException

public GramException()

### GramException

public GramException(int ec)

### GramException

public GramException(String msg)

### GramException

public GramException(int ec, Throwable ex)

## Method Details

### setErrorCode

public void setErrorCode(int ec)

### getErrorCode

public int getErrorCode()

### getMessage

public static String getMessage(int errorCode)